Bug 93966

Summary: [css3-text] Add CSS3 Text decoration runtime flag
Product: WebKit Reporter: Bruno Abinader (history only) <bruno.abinader>
Component: CSSAssignee: Bruno Abinader (history only) <bruno.abinader>
Status: RESOLVED WONTFIX    
Severity: Normal CC: cmarcelo, jchaffraix, macpherson, menard, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 93863    
Bug Blocks:    
Attachments:
Description Flags
Patch none

Description Bruno Abinader (history only) 2012-08-14 07:29:36 PDT
A series of CSS3 text decoration properties implementations are currently on the works. These adds new properties which specifications are not finished yet, thus variable to changes. A new feature flag is required, with its boilerplate implementation handled in this bug and further bugs related to these implementations shall take advantage of this flag.

This bug handles the runtime flag of CSS3 text decoration properties (only available when compile flag is enabled, which comes enabled by default). The default value for the runtime flag is disabled.
Comment 1 Bruno Abinader (history only) 2012-08-14 09:56:25 PDT
Created attachment 158352 [details]
Patch

Proposed patch.
Comment 2 Bruno Abinader (history only) 2012-08-15 05:16:00 PDT
Removing blocking bugs until further notice.
Comment 3 Bruno Abinader (history only) 2012-11-13 06:30:30 PST
Given enough time to discuss about this need, I'm marking the bug as WONTFIX, as we're now relying just on build time feature flag (CSS3_TEXT).